# file name : game_funcs.py
# プレイヤーの移動

import pygame
import globals as GV          #グローバル変数

# ====== 関数：矢印キーで図形を移動======= 〈追加2〉
def move_player():
    # 押されているキーイベントを取得
    keys=pygame.key.get_pressed()
    if keys[pygame.K_UP]:                  # 上矢印キーが押された場合
        GV.fpos['y']-=GV.fpos['speed']     # 図形を上に移動
    if keys[pygame.K_DOWN]:                # 下矢印キーが押された場合
        GV.fpos['y']+=GV.fpos['speed']     # 図形を下に移動
    # (1) 左矢印キー
    if keys[pygame.K_LEFT]:                # 左矢印キーが押された場合
         GV.fpos['x']-= GV.fpos['speed']   # 図形を左に移動
    # (2) 右矢印キー
    if keys[pygame.K_RIGHT]:               # 右矢印キーが押された場合
         GV.fpos['x']+= GV.fpos['speed']   # 図形を右に移動

    # 図形の移動範囲の設定
    GV.fpos['x']=max(0,min(GV.canv['w']-GV.player['w'],GV.fpos['x']))
    GV.fpos['y']=max(0,min(GV.canv['h']-GV.player['h'],GV.fpos['y']))